roadmap(1)

NAME

roadmap - Street navigation system using vector maps and a GPS receiver

SYNTAX

roadmap [--location=longitude,latitude] [--metric] [--imperial] [--no-area] [--geometry[:window]=widthxheight] [--no-toolbar] [--no-icon] [--square] [--gps=url] [--cache=number] [--debug[=source,...]] [--verbose] [--help]

DESCRIPTION

RoadMap is a program for UNIX that displays street maps. The maps are provided for example by the US Census Bureau. When a GPS receiver is available RoadMap can track the current location of the vehicule on the screen, continuously adjusting the position of the map; it can also identify the name of the current street as well as the name of the next intersection.

RoadMap can be used without a GPS receiver, as a static map viewer or address finder.

More information is available in the RoadMap online help.

OPTIONS

Most options may also be set as preferences. In fact, when an option matches a preferences item, using the option does modify the preferences item as well. As a consequence the effect of theses options will be permanent until the same option is used again or the associated preference item has been changed. Because the same preferences are used by roadmap and roadgps, using any of those options with one program will impact the other.

An option with no associated preference item behaves in a more traditional way, i.e. its effect is valid for that command only.

--location=longitude,latitude
    Set the current location point (see menu entry View/Show Location..). Preference item: Locations.Location.

--metric
    Use the metric system for all units. Preference item: General.Unit = metric.

--imperial
    Use the imperial system for all units. Preference item: General.Unit = imperial.

--no-area
    Do not show the polygons (parks, hospitals, airports, etc..). This option was created for debug purposes and is probably now useless.

--geometry[:window]=widthxheight
    Set the geometry of a specific RoadMap window, identified by it's title. If no window title is provided, this defines the geometry of the main window. If the window's title includes any space, dashes can be used in place of the spaces (the goal here is to be shell friendly). Preference item: Geometry.window.

--no-toolbar
    Do not show the toolbar. Preference item: General.Toolbar = no.

--no-icon
    Do not show any icon (presumably to keep as much space as possible for the map). Preference item: General.Icons = no

--square
    Show the boundaries of the maps index grid (a variant of the R-Tree index). This option is for debug purpose only.

--trip
    Open the given tripname on startup.

--gps=url
    Use the specified GPS source. Two URL formats only are supported: "gpsd://host/" (access the GPS through a gpsd server) and "file://path" or "path" (path must be a full path). As an exception, this option is not sticky: it does override the related preferences item, but the preferences are not modified. The main rational for this behavior is to make it painless to replay GPS logs.

--cache=number
    Set the number of entries in the roadmap's map cache. To increase performances, roadmap keeps the last used map files mapped in memory. This option defines how many map files can be mapped at a given time. The greater this number is, the more system ressources (virtual memory page descriptors) roadmap will use. Preference item: Map.Cache

--debug[=source,...]
    Print debug messages. If a list of source files is provided, only messages generated from within these source files are printed.

--verbose
    Enable some log messages (a subset of the debug messages).

--help
    Show a description of the program options and quit.

FILES

~/.roadmap/preferences
/etc/roadmap/preferences
/usr/share/roadmap/preferences

ENVIRONMENT VARIABLES

ROADMAP_MAPPATH
    Specifies extra paths to use when looking for maps.

AUTHORS

Pascal Martin <pascal.martin@ponts.org>

This manual page was written by Petter Reinholdtsen for the Debian package.

SEE ALSO

gpsd(1) roadgps(1)